# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
loader: taskgraph.loader.transform:loader

transforms:
    - gecko_taskgraph.transforms.release:run_on_releases
    - gecko_taskgraph.transforms.release_deps:transforms
    - gecko_taskgraph.transforms.release_msix_push:transforms
    - gecko_taskgraph.transforms.task:transforms

kind-dependencies:
    - repackage-shippable-l10n-msix

task-defaults:
    description: Pushes msix archives to Microsoft Store
    run-on-projects: []  # to make sure this never runs as part of CI
    run-on-releases: [beta, release, release-rc]
    shipping-phase: ship  # note override in transform
    treeherder:
        platform: win32-shippable/opt
        kind: build
        tier: 2
    worker-type: pushmsix
    worker:
        implementation: push-msix
        channel:
            by-release-type:
                beta: beta
                release.*: release
                default: mock
        publish-mode:
            by-release-type:
                beta: Immediate
                default: Manual

tasks:
    firefox:
        shipping-product: firefox
        treeherder:
            symbol: MSIX(push)
